%define major 8
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define majorpp 6
%define libnamepp %mklibname %{name}++ %{majorpp}
%define devnamepp %mklibname %{name}++ -d

Summary:	An encoder/decoder for the Free Lossless Audio Codec
Name:		flac
Version:	1.3.2
Release:	3
License:	BSD and GPLv2+
Group:		Sound
Url:		http://flac.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/flac/%{name}-%{version}.tar.xz
Patch0:		flac-CVE-2017-6888.patch
BuildRequires:	libtool
%ifarch %{ix86}
BuildRequires:	nasm >= 0.98.30
%endif
BuildRequires:	gettext-devel
BuildRequires:	id3lib-devel
BuildRequires:	pkgconfig(ogg) >= 1.1.2

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.
The package is comprised of:
  1) "libFLAC", a library which implements reference encoders and decoders,
     licensed under the GNU Lesser General Public License (LGPL);
  2) "flac", a command-line program for encoding and decoding files, licensed
     under the GNU General public License (GPL);
  3) "metaflac", a command-line program for editing FLAC metadata, licensed
     under the GPL;
  4) the player plugins for XMMS and Winamp, licensed under the GPL;
  5) the documentation, licensed under the GNU Free Documentation License.

%files
%doc AUTHORS COPYING* README installed-docs/*
%{_bindir}/%{name}
%{_bindir}/metaflac
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libraries for FLAC
Group:		System/Libraries

%description  -n %{libname}
This package contains the C libraries for FLAC.

%files -n %{libname}
%doc AUTHORS COPYING*
%{_libdir}/libFLAC.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Libraries and headers needed for building apps using FLAC
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the libraries and header files necessary to develop
applications using FLAC written in C.

%files -n %{devname}
%doc AUTHORS COPYING*
%{_includedir}/FLAC
%{_libdir}/libFLAC.so
%{_datadir}/aclocal/libFLAC.m4
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%package -n %{libnamepp}
Summary:	Shared C++ libraries for FLAC
Group:		System/Libraries

%description  -n %{libnamepp}
This package contains the libraries for C++ applications using FLAC.

%files -n %{libnamepp}
%doc AUTHORS COPYING*
%{_libdir}/libFLAC++.so.%{majorpp}*

#----------------------------------------------------------------------------

%package -n %{devnamepp}
Summary:	Libraries and headers needed for building apps using FLAC++
Group:		Development/C++
Requires:	%{libnamepp} = %{EVRD}
Requires:	%{devname} = %{EVRD}
Provides:	%{name}++-devel = %{EVRD}

%description -n %{devnamepp}
This package contains the libraries and header files necessary to develop
applications using FLAC written in C++.

%files -n %{devnamepp}
%doc AUTHORS COPYING*
%{_includedir}/FLAC++
%{_libdir}/libFLAC++.so
%{_datadir}/aclocal/libFLAC++.m4
%{_libdir}/pkgconfig/%{name}++.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

./autogen.sh -V
rm -rf html
cp -r doc/html .
autoreconf -vfi


%build
%configure2_5x \
	--disable-static \
	--disable-xmms-plugin \
	--disable-thorough-tests \
	--disable-asm-optimizations

%make


%check
#make -C test check


%install
%makeinstall_std

mv %{buildroot}%{_datadir}/doc/%{name}-%{version} installed-docs

%changelog

* Sun May 13 2018 Giovanni Mariani <mc2374@mclink.it> 1.3.2-3
- (9ee7fba) Added P0 to fix CVE-2017-6888


